// Imports
import express from "express";

// Routes
import results from "../routes/results-route.js";
import alerting from "../routes/alerting-route.js";
import react from "../routes/react-route.js";
import catalog from "../routes/catalog-route.js";
import jobs from "../routes/jobs-route.js";

import mock from "../routes/mock-route.js";

const app = express();
// Special Routes
app.all("/", (req, res) => res.redirect("/qualiteer"));
if (process.env.MOCK_ROUTES === "true") app.use(mock);

// Middlewares

// Routes
app.use(react); // Static Build Route
app.use("/api/results", results);
app.use("/api/alerting", alerting);
app.use("/api/catalog", catalog);
app.use("/api/jobs", jobs);

export default app;
